﻿
/* DIALOG CONTROL & OVERLAY */
.dialog-control-overlay
{
    position: fixed !important;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #666 !important;
    opacity: 0.3;
    z-index: 500;
}

.dialog-control
{
    max-width: 600px;
    max-height: 900px;
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 501;
    transform: translate(-50%, calc(-50% - 30px));
    -webkit-filter: blur(0.000001px);
}

.dialog-control-overlay,
.dialog-control
{
    display: none;
}

/* DIALOG CONTAINER */
.dialog-control .dialog-container
{
    min-width: 350px;
    min-height: 150px;
    display: flex;
    flex-direction: column;
    padding: 15px;
    border: 1px solid #DFE2E5;
    border-radius: 6px;
    box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.25);
    background-color: #FFF;
    overflow: hidden;
}

/* DIALOG HEADER */
.dialog-control .dialog-header
{
    margin-bottom: 10px;
    cursor: move;
}

.dialog-control .dialog-header span
{
    line-height: 24px;
    height: 24px;
    float: left;
    margin: 0;
    color: #666;
    font-family: Arial, Verdana, Sans-Serif;
    font-size: 13px;
    font-weight: bold;
    font-style: normal;
    font-variant: normal;
}

.dialog-control .dialog-header span
{
    font-variant: small-caps;
    font-weight: normal;
    font-size: 14px;
    vertical-align: middle;
    display: inline-flex;
    align-items: center;
}

.dialog-control .dialog-container[type] .dialog-header span:before
{
    content: '';
    font-size: 20px;
    margin-right: 5px;
    /* use !important to prevent issues with browser extensions that change fonts */
    font-family: 'Glyphicons Basic' !important;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    /* Better Font Rendering =========== */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.dialog-control .dialog-container[type=info] .dialog-header span:before
{
    content: "\ea27";
    color: #003D57;
}

.dialog-control .dialog-container[type=warning] .dialog-header span:before
{
    content: "\ea28";
    color: #DBA200;
}

.dialog-control .dialog-container[type=error] .dialog-header span:before
{
    content: "\ea24";
    color: #C30000;
}

.dialog-control .dialog-container[type=question] .dialog-header span:before
{
    content: "\ea26";
    color: #DBA200;
}

.dialog-control .dialog-header div
{
    float: right;
    margin: auto;
}

.dialog-control .dialog-header div.glyphicon
{
    color: #666;
    opacity: 0.2;
}

.dialog-control .dialog-header div.glyphicon:hover
{
    opacity: 0.5;
}

.dialog-control .dialog-header div.glyphicon:active
{
    opacity: 0.8;
}

/* DIALOG CONTENT */
.dialog-control .dialog-content
{
    max-height: 800px;
    margin-bottom: 20px;
    overflow-y: auto;
}

/* DIALOG OPERATIONS */
.dialog-control .dialog-content .dialog-operations
{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    overflow: hidden;
    margin-bottom: 5px;
}

.dialog-operations div.glyphicon
{
    color: #333;
    opacity: 0.2;
}

.dialog-operations div.glyphicon:hover 
{
    opacity: 0.5;
}

.dialog-operations div.glyphicon:active 
{
    opacity: 0.8;
}

.dialog-operations div.disabled
{
    display: none;
}

/* DIALOG TEXT & TITLE TEXT */
.dialog-control .dialog-content .dialog-text,
.dialog-control .dialog-content .dialog-title-text
{
    font: 13px Arial, Verdana, Helvetica, sans-serif;
    text-align: left;
}

.dialog-control .dialog-content .dialog-text {
    /*white-space: pre-line;*/
    text-align: justify;
    line-height: 20px;
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-word;
}

.dialog-control .dialog-content .dialog-title-text
{
    font-weight: bold;
}

.dialog-control .dialog-content .dialog-text p {
    white-space: pre-line;
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-word;
}

/* DIALOG MESSAGE */
.dialog-control .dialog-content .dialog-message
{
    overflow-y: auto;
    padding: 0 10px;
    font-weight: bold;
    margin-bottom: 10px;
    color: #333;
}

/* DIALOG SUB MESSAGE */
.dialog-control .dialog-content .dialog-submessage
{
    padding: 0 10px;
    margin-top: 25px;
    margin-bottom: 10px;
    font-size: 11px;
    font-weight: bold;
    color: #696969;
    overflow-y: auto;
}

/* DIALOG DETAIL */
.dialog-control .dialog-content .dialog-detail
{
    overflow-x: hidden;
    overflow-y: auto;
    padding: 0 10px;
    margin-top: 30px;
    font-size: 11px;
    color: #696969;
}

.dialog-control .dialog-content .dialog-main-content
{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    max-height: 250px;
}

.dialog-control .ExpiredSessionDialogContainer .dialog-content .dialog-main-content
{
    max-width: 350px;
}

/* DIALOG VALIDATIONS */
.dialog-control .dialog-validations
{
    margin-top: 20px;
}

.dialog-control .dialog-validations .dialog-validations-list
{
}

.dialog-control .dialog-validations .dialog-validations-list .validation-item
{
    display: flex;
    flex-direction: row;
    min-height: 30px;
    margin-bottom: 5px;
    padding-bottom: 2px;
}

.validation-item .validation-item-icon
{
    margin-right: 5px;
}

.validation-item .validation-item-icon-info div.glyphicon:before
{
    content: "\ea27";
    color: #003D57;
}

.validation-item .validation-item-icon-warning div.glyphicon:before
{
    content: "\ea28";
    color: #DBA200;
}

.validation-item .validation-item-icon-error div.glyphicon:before
{
    content: "\ea24";
    color: #C30000;
}

.validation-item .validation-item-message
{
    line-height: 25px;
}

.dialog-control .dialog-validations .dialog-validation-detail
{
    display: none;
    padding: 5px;
}

.dialog-validation-detail .validation-detail-operations
{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding-right: 10px;
    padding-bottom: 10px;
}

.dialog-validation-detail .validation-detail-operations div.glyphicon
{
    opacity: 0.2;
}

.dialog-validation-detail .validation-detail-operations div.glyphicon:hover 
{
    opacity: 0.5;
}

.dialog-validation-detail .validation-detail-operations div.glyphicon:hover
{
    opacity: 0.8;
}

.dialog-validation-detail .validation-detail-content
{
    max-height: 400px;
    padding: 10px;
    box-shadow: 2px 2px 4px 1px rgba(0,0,0,0.2);
    border-radius: 2px;
    border-left: 1px solid #ddd;
    border-top: 1px solid #ddd;
    margin: 0 10px !important;
    overflow-y: auto;
    overflow-x: hidden;
    font-size: 11px;
    color: #696969;
}

/* SYSTEM INFO */
.dialog-control .dialog-content .dialog-system-info
{
    min-width: 400px;
    padding: 5px 10px;
}

.dialog-control .dialog-content .dialog-system-info .system-info-item
{
    margin-bottom: 20px;
    text-align: left;
    box-shadow: 2px 2px 4px 1px rgba(0,0,0,0.2);
    border-radius: 2px;
    border-left: 1px solid #ddd;
    border-top: 1px solid #ddd;
}

.dialog-control .dialog-content .dialog-system-info .system-info-item:last-child
{
    margin-bottom: 0;
}

.dialog-system-info .system-info-item .system-info-item-title
{
    padding: 10px;
    background-color: #eee;
    border-radius: 2px;
}

.dialog-system-info .system-info-item .system-info-item-content
{
    color: #777;
    padding: 10px;
}

.dialog-system-info .system-info-item .system-info-item-content p
{
    white-space: pre-line;
}

/* STACK TRACE */
.dialog-control .dialog-content .dialog-stack-trace
{
    display: none;
    max-height: 450px;
    padding: 0 10px;
    margin-top: 20px;
    overflow-y: auto;
}

.dialog-stack-trace .stack-trace-item
{
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    border-radius: 2px;
    box-shadow: 2px 2px 4px 1px rgba(0,0,0,0.2);
    border-left: 1px solid #ddd;
    border-top: 1px solid #ddd;
}

.dialog-stack-trace .stack-trace-item.frontend-stack-trace
{
}

.dialog-stack-trace .stack-trace-item.backend-stack-trace
{

}

.dialog-stack-trace .stack-trace-item .stack-trace-item-header
{
    height: 30px;
    line-height: 30px;
    background-color: #eee;
    padding: 0 10px;
}

.stack-trace-item-header .stack-trace-item-header-title
{
    display: inline-block;
    float: left;
    line-height: 30px !important;
}

.stack-trace-item-header .stack-trace-item-header-operations
{
    display: inline-block;
    float: right;
    margin-right: 10px;
}

.stack-trace-item-header .stack-trace-item-header-operations div.glyphicon
{
    line-height: 30px;
    opacity: 0.6;
}

.stack-trace-item-header .stack-trace-item-header-operations div.glyphicon:hover 
{
    opacity: 0.8;
}

.stack-trace-item-header .stack-trace-item-header-operations div.glyphicon:active
{
    opacity: 1;
}

.dialog-stack-trace .stack-trace-item .stack-trace-item-content
{
    max-height: 150px;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 10px;
    font-size: 11px;
    color: #696969
}

/* STACK TRACE SUBMESSAGES */
.exception-submessages
{
    padding: 0 10px;
}

.exception-submessages .exception-submessages-list
{
    display: flex;
    flex-direction: column;
    margin: 20px 0;
    border-radius: 2px;
    box-shadow: 2px 2px 4px 1px rgba(0,0,0,0.2);
    border-left: 1px solid #ddd;
    border-top: 1px solid #ddd;
}

.exception-submessages .exception-submessages-list .submessages-list-header
{
    height: 30px;
    line-height: 30px;
    background-color: #eee;
    padding: 0 10px;
}

.submessages-list-header .submessages-list-header-title
{
    display: inline-block;
    float: left;
    line-height: 30px !important;
}

.exception-submessages .exception-submessages-list .submessages-list-content
{
    padding: 10px;
}

.submessages-list-content .submessage-item
{
    display: flex;
    flex-direction: row;
    min-height: 30px;
    margin-bottom: 5px;
    padding-bottom: 2px;
}

.submessage-item .submessage-item-icon
{
    margin-right: 5px;
}

.submessage-item .submessage-item-icon div.glyphicon:before
{
    content: "\ea24";
    color: #C30000;
}

.submessage-item .submessage-item-message
{
    line-height: 25px;
}

.exception-submessages .exception-submessage-detail
{
    display: none;
    padding: 5px;
}

.exception-submessage-detail .submessage-detail-operations
{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding-right: 10px;
    padding-bottom: 10px;
}

.exception-submessage-detail .submessage-detail-operations div.glyphicon
{
    opacity: 0.2;
}

.exception-submessage-detail .submessage-detail-operations div.glyphicon:hover
{
    opacity: 0.5;
}

.exception-submessage-detail .submessage-detail-operations div.glyphicon:hover
{
    opacity: 0.8;
}

.exception-submessage-detail .submessage-detail-content
{
    max-height: 400px;
    padding: 10px;
    box-shadow: 2px 2px 4px 1px rgba(0,0,0,0.2);
    border-radius: 2px;
    border-left: 1px solid #ddd;
    border-top: 1px solid #ddd;
    margin: 0 10px !important;
    overflow-y: auto;
    overflow-x: hidden;
    font-size: 11px;
    color: #696969;
}

/* DIALOG INVALID CONTAINERS */
.dialog-control .dialog-invalid-containers
{
    padding: 0 10px;
    padding-right: 20px;
    max-height: 600px;
    min-width: 400px;
    overflow-y: auto;
}

.dialog-invalid-containers .invalid-container-item
{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin-bottom: 20px;
    border-radius: 2px;
    box-shadow: 2px 2px 4px 1px rgba(0,0,0,0.2);
    border-left: 1px solid #ddd;
    border-top: 1px solid #ddd;
    max-width: 400px;
}

.dialog-invalid-containers .invalid-container-item .invalid-container-item-header
{
    height: 30px;
    line-height: 30px;
    background-color: #eee;
    padding: 0 10px;
    text-align: left;
}

.dialog-invalid-containers .invalid-container-item .invalid-container-item-content
{
    padding: 5px 10px;
    max-height: 200px;
    overflow-y: auto;
}

.invalid-container-item-content p
{
    font-size: 11px;
    color: #555;
}

/* DIALOG REASONS */
.dialog-control .dialog-content .dialog-reasons
{
}

.dialog-control .dialog-content .dialog-reasons .reasons-item
{
    color: #999;
    font-size: 13px;
    font-weight: bold;
}

/* DIALOG CUSTOM TEMPLATE */
.dialog-control .dialog-content .dialog-custom-template
{

}

/* DIALOG USER OBSERVATIONS */
.dialog-control .dialog-content .dialog-user-observations
{
    overflow-y: hidden;
}

.dialog-user-observations .user-observations-header
{
    margin-bottom: 5px;
}

.dialog-user-observations .user-observations-header .user-observations-title
{
    display: inline-block;
}

.dialog-user-observations .user-observations-header div
{
    display: inline-block;
    font-size: 14px;
}

.dialog-user-observations .user-observations-content
{
    display: none;
    padding: 0 10px;
}

.user-observations-content textarea
{
    height: auto;
    width: 100%;
    margin: 0px;
    padding: 5px;
    min-height: 100px;
    max-height: 400px;
    min-width: 100%;
    max-width: 100%;
    text-indent: 0;
}

/* DIALOG FOOTER */
.dialog-control .dialog-footer
{
    align-self: center;
    margin-top: auto;
}

.dialog-control .dialog-footer input
{
    height: 28px;
    line-height: 28px;
    min-width: 60px;
}

/* MISC */
.dialog-control p
{
    margin: 0 !important;
    padding: 0 !important;
}

.dialog-control .glyphicon
{
    position: relative;
    font-size: 20px;
}

.dialog-control .glyphicon input
{
    position: absolute !important;
    opacity: 0 !important;
    top: 0 !important;
    left: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    width: 100% !important;
    height: 100% !important;
    z-index: 95 !important;
}

.dialog-control .disabled-glyphicon,
.dialog-control .disabled-glyphicon input
{
    cursor: default;
}
